dle.in.ua » Модули » DLE 7.* + IPB 2.2.2 - 2.3*

DLE 7.* + IPB 2.2.2 - 2.3*

Автор: Boroda от 4-05-2009, 16:01
DLE 7.* + IPB 2.2.2 - 2.3*
Основные возможности интеграции:
-Форум может находиться на поддомене
-Базы форума и сайта могут различаться, если используется одна база то переключение не происходит
-Прификсы таблиц тоже могут быть как разными так и одинаковыми
-Каждую возможность можно выключить в админки
-Двухсторонняя регистрация
-Общая авторизация
-Общий профиль
-Восстановление пароля в любом скрипте
-При редактировании/удалении/добавлении пользователей в админке DLE изменения происходят и на форуме, вплоть до изменения логина
-На сайт можно повесить ссылку "Обсудить на форуме" при переходе по которой автоматически создается(если нету) тема на форуме.
----Возле ссылки можно выводить количство постов обсуждения
----Для ссылки может использоваться ЧПУ
----Вид ссылки настраивается в админке
----Возможно для разных категорий на сайте назначать отдельные форумы.
-На сайте также может быть установлен блоки: "Последние сообщения с форума", "Именинники", "Кто на сайте"
-Все настройки производиться в админке сайта, включая вид отображения блоков, поста на форуме и ссылки на форум. Данные для блока "Кто на сайте берутся из базы сессий форума и отображают всех пользователей, которые находятся на сайте и на форуме следовательно используется один запрос
-Все настройки производиться в админке сайта, включая вид отображения блока, поста на форуме и ссылки на форум.

Существует 3 вида интеграции, все они имеют одинаковые возможности, только различаются в способности переносить пользователей без изменения пароля.


Изменения с v1.0:
-Убраны все замеченные ошибки.
-Добавлен Блок "Кто на сайте"
-Добавлен Блок "Дни рождения"
-При редактировании/удалении/добавлении пользователей в админке DLE изменения происходят и на форуме, вплоть до изменения логина (бан раздельный)
-Улучшена система работы ссылки "Обсудить на форуме" теперь она более гибко настраивается и имеет возможность переносить текст новости на форум
-Появилась возможность установить ссылку обсуждения на короткую новость
-Возле ссылки можно разметить количество сообщений на форуме
-Добавилось ЧПУ для ссылки
-Если сайт и форум находятся в одной базе, то теперь не происходит переключение м/д базами
-Теперь можно включить/отключить каждую возможность отдельно
-Блок "Новое на форуме" теперь имеет свой шаблон и настраивается гораздо легче

Требования модуля:
DataLife Engine > 7.5
IPB 2.2.x-2.3.x
MySQL: > 4.1
Zend Optimizer > 3.0.0 [Необязательно!]
PHP > 4.4.7

dleipb_v1.2.rar [80.87 Kb] (cкачиваний: 749)
  • Группа: Гости
  • Icq: --
  • Комментариев: 0
  • Публикаций: 0
  • Эм, это нулл от kaliostro?
    • Dioxis
    • Регистрация: --
    • Репутация: (||)
    • 5 мая 2009 10:18
    • 1
    ^
  • Группа: Гости
  • Icq: --
  • Комментариев: 0
  • Публикаций: 0
  • на скриптерсе какой то лежал + не понятно, будет ли он работать с DLE 8.0, лично сам еще не успел опробовать
    • lestatbbk
    • Регистрация: --
    • Репутация: (||)
    • 5 мая 2009 12:39
    • 2
    ^
  • Группа: User
  • Icq: --
  • Комментариев: 44
  • Публикаций: 0
  • а старые пользователи переносятся или как?
    • revix
    • Регистрация: 25.05.2008
    • Репутация: (0|0|0)
    • 5 мая 2009 13:25
    • 3
    ^
  • Группа: Гости
  • Icq: --
  • Комментариев: 0
  • Публикаций: 0
  • А на 7.0 пойдёт?
    • shapiro
    • Регистрация: --
    • Репутация: (||)
    • 5 мая 2009 20:46
    • 4
    ^
  • Группа: Гости
  • Icq: --
  • Комментариев: 0
  • Публикаций: 0
  • shapiro,
    Требования модуля:
    DataLife Engine > 7.5

    судя по всему нет :)
    • gebriel
    • Регистрация: --
    • Репутация: (||)
    • 7 мая 2009 21:29
    • 5
    ^
  • Группа: Гости
  • Icq: --
  • Комментариев: 0
  • Публикаций: 0
  • gebriel,
    это я видел, но название dle 7.*, если так то 7.0 подходит)
    • shapiro
    • Регистрация: --
    • Репутация: (||)
    • 8 мая 2009 08:47
    • 6
    ^
  • Группа: Гости
  • Icq: --
  • Комментариев: 0
  • Публикаций: 0
  • Ща посмотрим пашет или всетаки с зендом....

    вуаля ребята пашет на ура!!! проверял на 7.5 с 2.3.5:))
    • atmosferik
    • Регистрация: --
    • Репутация: (||)
    • 9 мая 2009 02:28
    • 7
    ^
  • Группа: User
  • Icq: --
  • Комментариев: 44
  • Публикаций: 0

  • Цитата: atmosferik
    Ща посмотрим пашет или всетаки с зендом....

    вуаля ребята пашет на ура!!! проверял на 7.5 с 2.3.5:))



    ты со старыми пользователями пробывал?
    • revix
    • Регистрация: 25.05.2008
    • Репутация: (0|0|0)
    • 10 мая 2009 22:38
    • 8
    ^
  • Группа: User
  • Icq: --
  • Комментариев: 13
  • Публикаций: 1
  • а с DLE 8.0 пашет? winked

    --------------------
    • Voven
    • Регистрация: 19.07.2008
    • Репутация: (0|0|0)
    • 13 мая 2009 21:43
    • 9
    ^
  • Группа: Гости
  • Icq: --
  • Комментариев: 0
  • Публикаций: 0
  • запускаю install.php и всё, никакой реакции, что делать подскажите пожалуйста?
    • Root
    • Регистрация: --
    • Репутация: (||)
    • 14 мая 2009 02:30
    • 10
    ^
  • Группа: Гости
  • Icq: --
  • Комментариев: 0
  • Публикаций: 0
  • так работает с дле 8.0 ?
    • djmilk
    • Регистрация: --
    • Репутация: (||)
    • 26 мая 2009 19:14
    • 11
    ^
  • Группа: Гости
  • Icq: --
  • Комментариев: 0
  • Публикаций: 0
  • Не работает чё-т на 8.0

    Warning: require_once(/home/kinoalbu/public_html/forum/conf_global.php): failed to open stream: No such file or directory in /home/kinoalbu/public_html/forum_conf.php on line 3 Fatal error: require_once(): Failed opening required '/home/kinoalbu/public_html/forum/conf_global.php' (include_path='.:/usr/lib/php:/usr/local/lib/php') in /home/kinoalbu/public_html/forum_conf.php on line 3
    • yeaahhh
    • Регистрация: --
    • Репутация: (||)
    • 9 июня 2009 01:52
    • 12
    ^
  • Группа: Гости
  • Icq: --
  • Комментариев: 0
  • Публикаций: 0
  • Цитата: yeaahhh
    Не работает чё-т на 8.0

    Warning: require_once(/home/kinoalbu/public_html/forum/conf_global.php): failed to open stream: No such file or directory in /home/kinoalbu/public_html/forum_conf.php on line 3 Fatal error: require_once(): Failed opening required '/home/kinoalbu/public_html/forum/conf_global.php' (include_path='.:/usr/lib/php:/usr/local/lib/php') in /home/kinoalbu/public_html/forum_conf.php on line 3

    Уважаемый школьник вас неучили читать ? Требования модуля:
    DataLife Engine 7.5
    • santer
    • Регистрация: --
    • Репутация: (||)
    • 9 июня 2009 09:57
    • 13
    ^
  • Группа: Гости
  • Icq: --
  • Комментариев: 0
  • Публикаций: 0
  • А при установке какой пароль?
    • Kill
    • Регистрация: --
    • Репутация: (||)
    • 21 июня 2009 01:20
    • 14
    ^
  • Группа: Гости
  • Icq: --
  • Комментариев: 0
  • Публикаций: 0
  • yeaahhh, Правильно пути укажи в конфиге.


    santer,
    Прочитайте ошибку сначало нормально а потом говорите, для того чтобы работал на 8.0 нужно чутка пошаманить.
    • csds
    • Регистрация: --
    • Репутация: (||)
    • 13 июля 2009 04:27
    • 15
    ^
  • Группа: Гости
  • Icq: --
  • Комментариев: 0
  • Публикаций: 0
  • а на DLE 7.5, и IPB 2.3.6 заработает? winked
    • seiven
    • Регистрация: --
    • Репутация: (||)
    • 18 июля 2009 15:33
    • 16
    ^
  • Группа: Гости
  • Icq: --
  • Комментариев: 0
  • Публикаций: 0
  • На 8.5 будет работать?
    • Klikunov
    • Регистрация: --
    • Репутация: (||)
    • 5 апреля 2010 14:47
    • 17
    ^
    Информация
    Посетители, находящиеся в группе Гости, не могут оставлять комментарии к данной публикации.